// import React from 'react';
// import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 10;
const eyeOffsetX = 90;
const eyeOffsetY = 100;
const eyeRadius = 50;
const mouthWidth = 20;
const mouthRadius = 140;
const pupilRadius = 20;

const mouthArc = arc()
  .innerRadius(mouthRadius)
  .outerRadius(mouthRadius + mouthWidth)
  .startAngle(Math.PI / 2)
  .endAngle(Math.PI * 3 / 2);

const BackgroundCircle = ( { headRadius } ) => (
  <circle 
    r={headRadius}
    fill="yellow"
    stroke="black"
    stroke-width={strokeWidth}
  />
);

const LeftEye = () => (
  <circle 
    cx={-eyeOffsetX}
    cy={-eyeOffsetY}
    r={eyeRadius}
    stroke="black"
    stroke-width="5"
    fill="white"
  />    
);

const RightEye = () => (
	<circle 
    cx={eyeOffsetX}
    cy={-eyeOffsetY}
    r={eyeRadius}
   	stroke="black"
   	stroke-width="5"
    fill="white"
  />
  
);

const LeftPupil = () => (
<circle 
    cx={-eyeOffsetX + 20}
    cy={-eyeOffsetY - 20}
    r={pupilRadius}
  />
)

const RightPupil = () => (
	<circle 
    cx={eyeOffsetX - 20}
    cy={-eyeOffsetY + 20}
    r={pupilRadius}
  />
)

const Nose = () => (
	<circle 
    cx={0}
    cy={-30}
    r="60"
    fill="red"
  />
)

const Mouth = () => (
  <path transform="translate(0,-40)" d={mouthArc()}/>
)

const Toung = () => (
    <path d="M 30 100 q 180 100 100 -50 Z" stroke-width="2" fill="red" />
)

const App = () => (
  <svg width={width} height={height}>
    <g transform = {`translate(${centerX}, ${centerY})`}>
			<BackgroundCircle headRadius={centerY - strokeWidth / 2} />
      <LeftEye />
      <LeftPupil />
      <RightEye />
      <RightPupil />
      <Nose />
      <Toung />
			<Mouth />
    </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement); 